package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.CyFirearmsLog;
import com.bcxin.ars.model.User;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.List;

/**
 *搜索类
 * @author Ethan
 */
public class CyFirearmsLogSearchDto extends SearchDto<CyFirearmsLog> {

	private static final long serialVersionUID = 7649752662428917609L;

	List<CyFirearmsLog> list;

	public List<CyFirearmsLog> getList() {
		return list;
	}

	public void setList(List<CyFirearmsLog> list) {
		this.list = list;
	}

	/**
	 * 账户信息
	 */
	@JsonIgnoreProperties(value={"handler"})
	private User user;
	/**
	 * 用户ID
	 */
	private Long userid;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**
	 * 类型
	 */
	private String type;

	/**
	 * 领用人
	 */
	private String name;

	/**
	 * 时间
	 */
	private String time;

	/**
	 * 备注
	 */
	private String remarks;

	/**
	 * 操作员
	 */
	private String operator;

	/**
	 * 枪支ID
	 */
	private String firearmsid;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getFirearmsid() {
		return firearmsid;
	}

	public void setFirearmsid(String firearmsid) {
		this.firearmsid = firearmsid;
	}


}
